#!/usr/bin/perl
use strict;
use warnings;

use Test::More;

use lib 'lib';
use helper;

my $string = "hello";
my $int = 3;
my @array = qw/ dad mom /;
my %hash = (
    orange => "orange",
    apple => "red"
);
sub do_something { return "actually nothing at all" }

ok(&helper::dmup(string => \$string),       "dump a string");
ok(&helper::dmup(int => \$int),             "dump an int");
ok(&helper::dmup(array => \@array),         "dump an array");
ok(&helper::dmup(hash => \%hash),           "dump a hash");
ok(&helper::dmup(sub => \&do_something),    "dump a sub");

done_testing();

